# TimingBuffer Struct Reference

List of all members.

## Public Attributes

int | filled
int | curr_count
spx_int16_t | timing [MAX_TIMINGS]
spx_int16_t | counts [MAX_TIMINGS]

## Detailed Description

Buffer that keeps the time of arrival of the latest packets

## Member Data Documentation

int TimingBuffer::filled

Number of entries occupied in "timing" and "counts"

int TimingBuffer::curr_count

Number of packet timings we got (including those we discarded)

spx_int16_t TimingBuffer::timing[MAX_TIMINGS]

Sorted list of all timings ("latest" packets first)

spx_int16_t TimingBuffer::counts[MAX_TIMINGS]

Order the packets were put in (will be used for short-term estimate)

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/libspeex/jitter.c